package com.jianshui.common.core.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 销方详情对象 companyservice_detail
 * 
 * @author Gong Quanlin 
 * @date 2022-03-08
 */
public class CompanyserviceDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long companyId;

    /** 是否为默认，默认为0 */
    @Excel(name = "是否为默认，默认为0")
    private Integer isDefault;

    /** 开票员 */
    @Excel(name = "开票员")
    private String clerk;

    /** 复核员 */
    @Excel(name = "复核员")
    private String checker;

    /** 收款人 */
    @Excel(name = "收款人")
    private String payee;

    /** 分机号 */
    @Excel(name = "分机号")
    private String fjh;

    /** 终端号 */
    @Excel(name = "终端号")
    private String terminalNumber;

    /** 金税盘编码 */
    @Excel(name = "金税盘编码")
    private String goldenTaxDiskNo;

    private String clientIp;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date udpateTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setIsDefault(Integer isDefault) 
    {
        this.isDefault = isDefault;
    }

    public Integer getIsDefault() 
    {
        return isDefault;
    }
    public void setClerk(String clerk) 
    {
        this.clerk = clerk;
    }

    public String getClerk() 
    {
        return clerk;
    }
    public void setChecker(String checker) 
    {
        this.checker = checker;
    }

    public String getChecker() 
    {
        return checker;
    }
    public void setPayee(String payee) 
    {
        this.payee = payee;
    }

    public String getPayee() 
    {
        return payee;
    }
    public void setFjh(String fjh) 
    {
        this.fjh = fjh;
    }

    public String getFjh() 
    {
        return fjh;
    }
    public void setTerminalNumber(String terminalNumber) 
    {
        this.terminalNumber = terminalNumber;
    }

    public String getTerminalNumber() 
    {
        return terminalNumber;
    }
    public void setGoldenTaxDiskNo(String goldenTaxDiskNo) 
    {
        this.goldenTaxDiskNo = goldenTaxDiskNo;
    }

    public String getGoldenTaxDiskNo() 
    {
        return goldenTaxDiskNo;
    }
    public void setUdpateTime(Date udpateTime) 
    {
        this.udpateTime = udpateTime;
    }

    public Date getUdpateTime() 
    {
        return udpateTime;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("isDefault", getIsDefault())
            .append("clerk", getClerk())
            .append("checker", getChecker())
            .append("payee", getPayee())
            .append("fjh", getFjh())
            .append("terminalNumber", getTerminalNumber())
            .append("goldenTaxDiskNo", getGoldenTaxDiskNo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("udpateTime", getUdpateTime())
            .toString();
    }
}
